Skip to main content
GET
/
wealth
/
accounts
/
{account_id}
/
statements
Get account statement
curl --request GET \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/statements \
  --header 'Authorization: Basic <encoded-value>'
{
  "statement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "period": {
    "start_date": "2023-12-25",
    "end_date": "2023-12-25",
    "label": "Q4 2024"
  },
  "summary": {
    "beginning_value": "<string>",
    "ending_value": "<string>",
    "net_change": "<string>",
    "net_change_percent": "<string>",
    "contributions": "<string>",
    "withdrawals": "<string>",
    "investment_returns": "<string>",
    "fees": "<string>"
  },
  "activity": {
    "deposits": [
      {}
    ],
    "withdrawals": [
      {}
    ],
    "trades": [
      {}
    ],
    "dividends": [
      {}
    ],
    "fees": [
      {}
    ]
  },
  "holdings_end_of_period": [
    {
      "position_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "symbol": "<string>",
      "name": "<string>",
      "currency": "USD",
      "asset_class": "<string>",
      "sector": "<string>",
      "quantity": "<string>",
      "average_cost_basis": "<string>",
      "total_cost_basis": "<string>",
      "current_price": "<string>",
      "market_value": "<string>",
      "unrealized_pl": "<string>",
      "unrealized_pl_percent": "<string>",
      "weight_percent": "<string>",
      "price_source": "ALPACA",
      "price_confidence": "REAL_TIME",
      "price_timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "generated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

Query Parameters

period
enum<string>
default:monthly

Statement period type

Available options:
monthly,
quarterly,
annual,
custom
start_date
string<date>

Start date for custom period

end_date
string<date>

End date for custom period

format
enum<string>
default:json

Response format

Available options:
json,
pdf

Response

Account statement generated successfully

Account statement for a period

statement_id
string<uuid>
account_id
string<uuid>
period
object
summary
object
activity
object
holdings_end_of_period
object[]
generated_at
string<date-time>